
%define	_name		kmuddy
%define	_version	0.6
%define _release	1.dries

Summary: a MUD (multi user dungeon) client
Summary(nl): een MUD (multi user dungeon) client

BuildRoot:	%{_tmppath}/build-%{_name}-%{_version}
Name:		%{_name}
Version:	%{_version}
Release:	%{_release}
License:	GPL
Group:		Amusements/Games
URL: http://www.kmuddy.org/
Source: http://www.kmuddy.org/files/kmuddy-0.6.tar.gz

BuildRequires: gettext, libart_lgpl-devel, libjpeg-devel, libpng-devel, arts-devel, zlib-devel, kdelibs-devel, gcc, make, gcc-c++, XFree86-devel, qt-devel
Requires: kdelibs

%description
Kmuddy is a MUD client for KDE. A MUD is a multi user dungeon, a 
text-based online multi-player role-playing game.

%description -l nl
Kmuddy is een MUD client voor KDE. Een MUD is een 'multi user dungeon', een
console gebaseerd online rollenspel voor meerdere personen.


%prep
%{__rm} -rf "${RPM_BUILD_ROOT}"
%setup

%build
. /etc/profile.d/qt.sh
%configure
make

%install
. /etc/profile.d/qt.sh
echo RPM_BUILD_ROOT is $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
make install

%files
%defattr(-,root,root)
%doc README AUTHORS CHANGELOG README.MIDI TODO
/usr/bin/kmuddy
/usr/share/applnk/Games/kmuddy.desktop
/usr/share/doc/HTML/en/kmuddy
/usr/share/icons/hicolor/16x16/actions/aliases.png
/usr/share/icons/*/*/apps/kmuddy.png


%changelog
* Fri Dec 13 2003 Dries Verachtert <dries@ulyssis.org> 0.6-1.dries
- first packaging for Fedora Core 1
